(function ($, Drupal) {
  Drupal.behaviors.media_folder_file_upload = {
    attach(context) {
      $(
        once(
          'media-file-explorer-upload',
          '#subfolders:not(.not-droppable), .folder.folder-folder:not(.not-droppable)',
          context,
        ),
      ).each(function () {
        $(this).fileDrop({
          callback(fid, files) {
            $(this).ajaxUpload(fid, files);
          },
        });
      });
    },
  };
})(jQuery, Drupal);
