<?php

namespace Drupal\media_folder_management\Entity\ViewsData;

use Drupal\views\EntityViewsData;

/**
 * Provides the Views data for the media folder file entity type.
 */
class MediaFolderFileViewsData extends EntityViewsData {

  /**
   * {@inheritdoc}
   */
  public function getViewsData() {
    $data = parent::getViewsData();

    $data['media_folder_file_field_data']['table']['wizard_id'] = 'media_folder_file';
    $data['media_folder_file_field_revision']['table']['wizard_id'] = 'media_folder_file_revision';

    return $data;
  }

}
