# Media Folder Management

This module provides an windows style file explorer ou a ubuntu style Nautilus.
With folder CRUD permissions and drag to upload and drag and drop to move.

For a full description of the module, visit the
[project page](https://www.drupal.org/project/media_folder_management).

Submit bug reports and feature suggestions, or track changes in the
[issue queue](https://www.drupal.org/project/issues/media_folder_management).


## Table of contents

- Requirements
- Installation
- Features
- Configuration
- Maintainers


## Requirements

This module requires the module "jQuery UI Droppable".


## Installation

Install as you would normally install a contributed Drupal module. For further
information, see
[Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).


## Features

- Folder CRUD permissions

- Folder inherit permissions

- Drag to upload

- Drag and drop to move

- File lock and file revisions

## Configuration

Go to "/admin/config/media-folder-file"

## Maintainers

- João Mauricio - [jmauricio](https://www.drupal.org/u/jmauricio)

This project has been sponsored by:
- Visit: [Javali](https://www.javali.pt) for more information